import type { HTMLAttributes, ReactNode } from "react";
import type { FieldAlignment, FieldOrientation } from "./types";
export interface FormFieldProps extends HTMLAttributes<HTMLDivElement> {
    title?: string;
    actions?: ReactNode;
    description?: ReactNode;
    alignment?: FieldAlignment;
    orientation?: FieldOrientation;
    optional?: boolean;
    error?: string;
    htmlFor?: string;
    infoLabel?: string;
    infoTooltip?: string;
}
declare const _default: ((props: FormFieldProps & import("react").RefAttributes<HTMLDivElement>) => import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> | null) & {
    Root: import("@emotion/styled").StyledComponent<{
        theme?: import("@emotion/react").Theme | undefined;
        as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
    } & import("./FormField.styled").FieldRootProps, import("react").DetailedHTMLProps<HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
    Label: import("@emotion/styled").StyledComponent<{
        theme?: import("@emotion/react").Theme | undefined;
        as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
    } & import("./FormField.styled").FieldLabelProps, import("react").DetailedHTMLProps<import("react").LabelHTMLAttributes<HTMLLabelElement>, HTMLLabelElement>, {}>;
};
export default _default;
